Package com.independentsoft.graph.sites

# Enum Class PersonOrGroupDisplayAs

java.lang.Object
java.lang.Enum<PersonOrGroupDisplayAs>
com.independentsoft.graph.sites.PersonOrGroupDisplayAs

All Implemented Interfaces:
  `Serializable`, `Comparable<PersonOrGroupDisplayAs>`, `Constable`

public enum PersonOrGroupDisplayAs extends Enum<PersonOrGroupDisplayAs>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCOUNT`
  `DEPARTMENT`
  `FIRST_NAME`
  `ID`
  `LAST_NAME`
  `MOBILE_PHONE`
  `NAME`
  `NAME_WITH_PICTURE_AND_DETAILS`
  `NAME_WITH_PRESENCE`
  `OFFICE`
  `PICTURE_ONLY_36X36`
  `PICTURE_ONLY_48X48`
  `PICTURE_ONLY_72X72`
  `SIP_ADDRESS`
  `TITLE`
  `USERNAME`
  `WORK_EMAIL`
  `WORK_PHONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PersonOrGroupDisplayAs`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PersonOrGroupDisplayAs[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACCOUNT

    public static final PersonOrGroupDisplayAs ACCOUNT

  - ### DEPARTMENT

    public static final PersonOrGroupDisplayAs DEPARTMENT

  - ### FIRST_NAME

    public static final PersonOrGroupDisplayAs FIRST_NAME

  - ### ID

    public static final PersonOrGroupDisplayAs ID

  - ### LAST_NAME

    public static final PersonOrGroupDisplayAs LAST_NAME

  - ### MOBILE_PHONE

    public static final PersonOrGroupDisplayAs MOBILE_PHONE

  - ### NAME

    public static final PersonOrGroupDisplayAs NAME

  - ### NAME_WITH_PICTURE_AND_DETAILS

    public static final PersonOrGroupDisplayAs NAME_WITH_PICTURE_AND_DETAILS

  - ### NAME_WITH_PRESENCE

    public static final PersonOrGroupDisplayAs NAME_WITH_PRESENCE

  - ### OFFICE

    public static final PersonOrGroupDisplayAs OFFICE

  - ### PICTURE_ONLY_36X36

    public static final PersonOrGroupDisplayAs PICTURE_ONLY_36X36

  - ### PICTURE_ONLY_48X48

    public static final PersonOrGroupDisplayAs PICTURE_ONLY_48X48

  - ### PICTURE_ONLY_72X72

    public static final PersonOrGroupDisplayAs PICTURE_ONLY_72X72

  - ### SIP_ADDRESS

    public static final PersonOrGroupDisplayAs SIP_ADDRESS

  - ### TITLE

    public static final PersonOrGroupDisplayAs TITLE

  - ### USERNAME

    public static final PersonOrGroupDisplayAs USERNAME

  - ### WORK_EMAIL

    public static final PersonOrGroupDisplayAs WORK_EMAIL

  - ### WORK_PHONE

    public static final PersonOrGroupDisplayAs WORK_PHONE

- ## Method Details

  - ### values

    public static PersonOrGroupDisplayAs[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PersonOrGroupDisplayAs valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null